Skip to main content
POST
Create or update label

Authorizations

X-API-Key
string
header
required

Preferred. API key value directly.

Query Parameters

channelId
string

Channel id. Auto-selects when omitted.

Example:

"ch_123"

name
string

Label name.

Example:

"YOUR_NAME"

description
string

Label description.

Example:

"YOUR_DESCRIPTION"

color
string

Label color.

Example:

"YOUR_COLOR"

displayOrder
number

Sort order, default 0.

Example:

1

Body

application/json
name
string
required

Label name.

Example:

"YOUR_NAME"

channelId
string

Channel id. Auto-selects when omitted.

Example:

"ch_123"

description
string

Label description.

Example:

"YOUR_DESCRIPTION"

color
string

Label color.

Example:

"YOUR_COLOR"

displayOrder
number

Sort order, default 0.

Example:

1

Response

Success. Envelope: { success:true, data, message? }.

success
boolean
required
Example:

true

data
any
message
string
pagination
object
total
number